var tabla;

//Funcion que se ejecuta al inicio

function init() {
    listar();
}

function listar() {
    tabla = $('#tbllistado').dataTable({
        "aProcessing": true,//Activamos el procesamiento del datatables
	    "aServerSide": true,//Paginación y filtrado realizados por el servidor
	    dom: '',//Definimos los elementos del control de tabla
	    buttons: [		          

		        ],
		"ajax":
				{
					url: '../../ajax/concepto.php?op=listar',
					type : "get",
					dataType : "json",						
					error: function(e){
						console.log(e.responseText);	
					}
				},
		"bDestroy": false,
		"iDisplayLength": 10,//Paginación
	    "order": [[ 0, "asc" ]]//Ordenar (columna,orden)
	}).DataTable();
}


function mostrar(codigoubch) {
    $.post("../ajax/ubch.php?op=mostrar", {
        codigoubch: codigoubch
    }, function (data, status) {
        data = JSON.parse(data);
        mostrarform(true);
		
        $("#codigoubch").val(data.codigoubch);
        $("#nombreubch").val(data.nombreubch);
		$("#parroquia2").val(data.parroquia);
		$("#idparroquia2").val(data.idparroquia);
        $("#eje2").val(data.eje);
		$("#ideje2").val(data.ideje);
        $("#direccion").val(data.direccion);
        $("#mesas").val(data.mesas);
	    $("#electores").val(data.electores);
        $("#nacionalidadjubch").val(data.nacionalidadjubch);
        $("#cedulajubch").val(data.cedulajubch);
	    $("#nombrejubch").val(data.nombrejubch);
	    $("#apellidojubch").val(data.apellidojubch);
		$("#operadora1").val(data.operadora1);
        $("#telefono1").val(data.telefono1);
		$("#operadora2").val(data.operadora2);
        $("#telefono2").val(data.telefono2);
		$("#correoelectronico").val(data.correoelectronico);
		$("#direccionjubch").val(data.direccionjubch);
		$("#sindicato").val(data.sindicato);
		$("#ctp").val(data.ctp);
		$("#prevencion").val(data.prevencion);
		$("#estado").val(data.estado);
		
    })
}

init();

///////////////////////////////////////////////////////////////////////////////////////////